Bug 1795312 - oc: error: No Auth Provider found for name "gcp"
Summary: oc: error: No Auth Provider found for name "gcp"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 4.2.0
Hardware: Unspecified
OS: All
unspecified
high
Target Milestone: ---
: 4.2.z
Assignee: Maciej Szulik
QA Contact: Steve Kuznetsov
URL:
Whiteboard:
Depends On: 1795302
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-27 16:38 UTC by Maciej Szulik
Modified: 2020-05-13 11:07 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1795302
Environment:
Last Closed: 2020-05-13 11:07:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift oc pull 270 None closed [release-4.2] Bug 1795312: initialize auth plugins 2020-05-11 01:58:39 UTC
Red Hat Product Errata RHBA-2020:2023 None None None 2020-05-13 11:07:37 UTC

Description Maciej Szulik 2020-01-27 16:38:26 UTC
+++ This bug was initially created as a clone of Bug #1795302 +++

+++ This bug was initially created as a clone of Bug #1794516 +++

Configure a GKE cluster auth in a config:

$ yq .users[0] < ~/.kube/prow
users:
- name: gke_k8s-prow-builds_us-central1-f_prow
  user:
    auth-provider:
      config:
        access-token: xxx
        cmd-args: config config-helper --format=json
        cmd-path: /home/skuznets/google-cloud-sdk/bin/gcloud
        expiry: "2019-08-06T18:08:09Z"
        expiry-key: '{.credential.token_expiry}'
        token-key: '{.credential.access_token}'
      name: gcp

Run a command:

$ KUBECONFIG=~/.kube/prow kubectl get pods
error: No Auth Provider found for name "gcp"


$ oc version
Client Version: v4.2.14
Kubernetes Version: v1.11.0+d4cacc0

Comment 6 Steve Kuznetsov 2020-05-11 14:53:48 UTC
This works as expected!

Comment 8 errata-xmlrpc 2020-05-13 11:07:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2023


Note You need to log in before you can comment on or make changes to this bug.